<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="com.xunhong.erp.turbo.biz.infrastructure.mapper.OrderPackageMapper">
	<resultMap id="BaseResultMap"
			   type="com.xunhong.erp.turbo.biz.infrastructure.entity.OrderPackageDO">
		<result property="orderPackageId" column="order_package_id"/>
		<result property="orderSupplierId" column="order_supplier_id"/>
		<result property="boxBrandId" column="box_brand_id"/>
		<result property="boxBrandName" column="box_brand_name"/>
		<result property="boxBrandImage" column="box_brand_image"/>
		<result property="boxSpecId" column="box_spec_id"/>
		<result property="boxSpecName" column="box_spec_name"/>
		<result property="boxProductId" column="box_product_id"/>
		<result property="boxProductName" column="box_product_name"/>
		<result property="boxProductWeight" column="box_product_weight"/>
		<result property="boxCount" column="box_count"/>
		<result property="boxCostPrice" column="box_cost_price"/>
		<result property="boxSalePrice" column="box_sale_price"/>
		<result property="boxType" column="box_type"/>
		<result property="createdAt" column="created_at"/>
		<result property="createdAt" column="created_at"/>
		<result property="updatedAt" column="updated_at"/>
		<result property="isDelete" column="is_delete"/>
		<result property="version" column="version"/>
	</resultMap>
</mapper>
